package com.example.controller;
import com.example.bean.DailyReport;
import com.example.bean.MedicalRecord;
import com.example.bean.Drugs;
import com.example.bean.RespBean;
import com.example.mapper.MedicalRecordMapper;
import com.example.service.MedicalRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
@RestController
@RequestMapping("/medicalrecord")
public class MedicalRecordController {
    @Autowired
    private MedicalRecordService medicalRecordService;
    @PostMapping("/addMedicalRecord")
    public RespBean addNewMedicalRecord( MedicalRecord medicalRecord) {

        int result = medicalRecordService.addNewMedicalRecord(medicalRecord);
        if(result == 1){
            return new RespBean("success","添加成功");
        }
        else{
            return new RespBean("error","添加失败");
        }
    }
    @PostMapping("/addDrugs")
    public RespBean addDrugs(Drugs drugs){
        int result = medicalRecordService.addDrugs(drugs);
        if(result == 1){
            return new RespBean("success","添加成功");
        }
        else {
            return new RespBean("error","添加失败");
        }
    }
    @PostMapping("/deleteMedicalrecord")
    public RespBean deleteMedicalRecord(@RequestParam("mid") int mid){
        int result = medicalRecordService.deleteMedicalRecordByMid(mid);
        if(result == 1){
            return new RespBean("success","删除成功");
        }
        else{
            return new RespBean("error","删除失败");
        }
    }
    @GetMapping("showUSummary")
    public RespBean showSummary(@RequestParam("usid") String uid){
        int result = medicalRecordService.getSummaryByUid(uid);
        if(result == 1){
            return new RespBean("success","获取成功");
        }
        else{
            return new RespBean("error","获取失败");
        }
    }

    @GetMapping("selectRecordByUid")
    public List<MedicalRecord> selectRecordByUid(@RequestParam("uid") String userid)
    {
        return medicalRecordService.selectByUserid(userid);
    }

    @GetMapping("selectRecordByDid")
    public List<MedicalRecord> selectRecordByDid(@RequestParam("did") String did)
    {
        return medicalRecordService.selectByDid(did);
    }


}
