package com.example.service;
import com.example.bean.DailyReport;
import com.example.bean.Drugs;
import com.example.bean.MedicalRecord;
import com.example.mapper.MedicalRecordMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.mapper.DrugsMapper;

import java.sql.Timestamp;
import java.util.List;

import static org.apache.ibatis.ognl.DynamicSubscript.mid;

@Service
public class MedicalRecordService {
    @Autowired
    private MedicalRecordMapper medicalRecordMapper;
    private DrugsMapper drugsMapper;
    public int addNewMedicalRecord(MedicalRecord medicalRecord) {
        int x = medicalRecordMapper.addNewMedicalRecord(medicalRecord);
        medicalRecord.setRecordtime(new Timestamp(System.currentTimeMillis()));
        List<Drugs> drugs= medicalRecord.getDrugs();
        for(int i=0;i<drugs.size();i++){
            Drugs drug = drugs.get(i);
            int did = drug.getId();
            int mid = medicalRecord.getMid();
            drugsMapper.savaDrugstoMedicalRecord(mid,did);
        }
        return x;

    }

    public int addDrugs(Drugs drugs){
        return drugsMapper.addDrugs(drugs);
    }

    private int addDrugsToMedicalRecord(int[] drugsid,int mid) {
        drugsMapper.deleteDrugsByMid(mid);
        for(int i=0;i<drugsid.length;i++){
            int did = drugsid[i];
            drugsMapper.savaDrugstoMedicalRecord(mid,did);
        }
        return 1 ;
    }

    public List<MedicalRecord> selectByUserid(String userid)
    {
        return medicalRecordMapper.selectMedicalRecordByUserId(userid);
    }

    public List<MedicalRecord> selectByDid(String did)
    {
        return medicalRecordMapper.selectMedicalRecordByDid(did);
    }

    public int getMidByUId(String uid){
        return medicalRecordMapper.getMidByUid(uid);
    }

    public MedicalRecord getMedicalRecordByMid(int mid){
        MedicalRecord medicalRecord = medicalRecordMapper.getMedicalRecordById(mid);
        return medicalRecord;
    }


    public int getSummaryByUid(String uid){
        return medicalRecordMapper.getSummaryByUid(uid);
    }

    public int updateMedicalRecord(MedicalRecord medicalRecord){
        return medicalRecordMapper.updateMedicalRecord(medicalRecord);
    }

    public int deleteMedicalRecordByMid(int mid){
        return medicalRecordMapper.deleteMedicalRecordByMid(mid);
    }

}
